Update one of the caller workspace's own campaign types
curl --request PUT \
--url https://api.pineyard.ai/campaign-types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"extractionKeys": [
{
"name": "<string>",
"description": "<string>"
}
],
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
extractionKeys: [{name: '<string>', description: '<string>'}],
description: '<string>'
})
};
fetch('https://api.pineyard.ai/campaign-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaign-types/{id}"
payload = {
"name": "<string>",
"extractionKeys": [
{
"name": "<string>",
"description": "<string>"
}
],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"extractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"status": "ACTIVE",
"isOwn": true
}Campaign types
Update one of the caller workspace's own campaign types
PUT
/
campaign-types
/
{id}
Update one of the caller workspace's own campaign types
curl --request PUT \
--url https://api.pineyard.ai/campaign-types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"extractionKeys": [
{
"name": "<string>",
"description": "<string>"
}
],
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
extractionKeys: [{name: '<string>', description: '<string>'}],
description: '<string>'
})
};
fetch('https://api.pineyard.ai/campaign-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaign-types/{id}"
payload = {
"name": "<string>",
"extractionKeys": [
{
"name": "<string>",
"description": "<string>"
}
],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"extractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"status": "ACTIVE",
"isOwn": true
}Required scope:
campaign_types.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Body
application/json

